## org.eclipse.datatools.connectivity.oda.flatfile.ui.wizards
Class RelativeFileSelectionDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.jface.dialogs.TrayDialog
                  org.eclipse.ui.dialogs.SelectionDialog
                      org.eclipse.ui.dialogs.SelectionStatusDialog
                          org.eclipse.ui.dialogs.ElementTreeSelectionDialog
                              org.eclipse.datatools.connectivity.oda.flatfile.ui.wizards.RelativeFileSelectionDialog

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

    public class RelativeFileSelectionDialog

extends org.eclipse.ui.dialogs.ElementTreeSelectionDialog

Nested Class Summary
`static class` `RelativeFileSelectionDialog.FileComparator`

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`RelativeFileSelectionDialog(org.eclipse.swt.widgets.Shell parent, java.io.File rootFolder)`

Method Summary
`java.lang.String[]` `getSelectedItems()`
`java.net.URI` `getSelectedURI()`

Methods inherited from class org.eclipse.ui.dialogs.ElementTreeSelectionDialog
`addFilter, create, open, setAllowMultiple, setComparator, setDoubleClickSelects, setEmptyListMessage, setInitialSelection, setInput, setSize, setSorter, setValidator`

Methods inherited from class org.eclipse.ui.dialogs.SelectionStatusDialog
`getFirstResult, setImage, setStatusLineAboveButtons`

Methods inherited from class org.eclipse.ui.dialogs.SelectionDialog
`getOkButton, getResult, setDialogBoundsSettings, setInitialElementSelections, setInitialSelections, setMessage, setTitle`

Methods inherited from class org.eclipse.jface.dialogs.TrayDialog
`close, closeTray, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getBlockedHandler, getImage, setBlockedHandler, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelativeFileSelectionDialog

    public RelativeFileSelectionDialog(org.eclipse.swt.widgets.Shell parent,
                                       java.io.File rootFolder)

Method Detail

### getSelectedURI

    public java.net.URI getSelectedURI()
                                throws java.net.URISyntaxException

  Throws:
    `java.net.URISyntaxException`

### getSelectedItems

    public java.lang.String[] getSelectedItems()